> Agent-readable docs index: /llms.txt. Download /docs.zip to grep all markdown files locally.

---
title: "Set Reseller Prices"
description: "Sets the prices of your reseller integration shown in checkout. Available for official resellers only. The prices format is described in Reseller Integration."
api: "POST /set-reseller-prices"
gridGap: 30
---

<Aside full>
  <RequestExample>
    ```bash title="cURL" lines=false
    curl -X POST "https://user-api.neverlose.cc/api/market/set-reseller-prices" \
      -H "Content-Type: application/json" \
      -d '{
      "user_id": 1,
      "integration_id": 100,
      "prices": "{\"cs2-30\": {\"EUR\": \"30.50\"}}",
      "signature": "string"
    }'
    ```
  </RequestExample>
</Aside>

<OpenAPIEndpoint {...{"method":"post","path":"/set-reseller-prices","summary":"Set Reseller Prices","description":"Sets the prices of your reseller integration shown in checkout.\n\n**Available for official resellers only.**\n\nThe `prices` format is described in\n[Reseller Integration](/market/reseller-integration/reseller-integration#reseller-prices).\n","parameters":[],"requestBody":{"required":true,"contentType":"application/json","schema":{"type":"object","required":["user_id","integration_id","prices","signature"],"properties":{"user_id":{"type":"integer"},"integration_id":{"type":"integer","description":"ID of your reseller integration from the API settings page."},"prices":{"type":"string","description":"Serialized Product-Currency-Price object."},"signature":{"type":"string"}}},"examples":[]},"responses":[{"status":"200","description":"Prices set","schema":{"type":"object","properties":{"success":{"type":"boolean"},"succ":{"type":"boolean"}}},"examples":[]}],"security":[],"servers":[{"url":"https://user-api.neverlose.cc/api/market","description":"Production"}],"badges":[{"label":"Resellers only","color":"orange","tooltip":"Available for official resellers only"}]}} />
